Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Concepts | Variables
inner_product.hpp File Reference

## Classes
struct | ranges::inner_product_fn

## Concepts
concept | ranges::inner_product_constraints_
| The `inner_product_constraints_` concept.
concept | ranges::inner_product_constraints
| The `inner_product_constraints` concept.

## Variables
constexpr inner_product_fn | ranges::inner_product {}